PQI.com.tw requires VBScript

RESOLVED WORKSFORME

Status

Tech Evangelism Graveyard
English Other
RESOLVED WORKSFORME
10 years ago
3 years ago

People

(Reporter: Kornos, Unassigned)

Tracking

Details

(URL)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; ro; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; ro; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

This site it's clearly made for IE , other browser(Opera) have also this problem.

Reproducible: Always

Steps to Reproduce:
1. Go to http://www.pqi.com.tw/faq.asp and try to open FAQ questions.
2. Also try to search using Advanced search form located at the page bottom/
3.
Actual Results:  
FAQ questions do not open in new windows.
Advanced search form does not work.

Expected Results:  
FAQ questions should have opened in new windows as in IE.
Advanced form should have returned some results.
VBSCript:OpenWindow 'faq_1.asp?ID=1114','516','400'

VBscript is IE only syntax there is no way that this will work in other browsers unless they implement IE proprietary vbscript which is unlikely. They should use standard Javascript which is supported by every modern browser.

marking invalid
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INVALID

Comment 2

10 years ago
Actually, I'll reopen and send this over to TE. Using VBScript in a website is a fairly bad idea, so maybe someone can contact them and ask them to look into supporting standards better.
Assignee: nobody → english-us
Status: RESOLVED → UNCONFIRMED
Component: General → English US
Product: Firefox → Tech Evangelism
QA Contact: general → english-us
Hardware: PC → All
Resolution: INVALID → ---
Summary: Web links do not open in new windows & search form not working. → PQI website uses VBScript

Updated

10 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true

Updated

10 years ago
Summary: PQI website uses VBScript → PQI website requires VBScript
They know that already, look at all the "this only works with IE6 or later" or in the contact form :
"We apologized for this query form was limited to Internet Explore 6.0 equivalent or above."

Comment 4

10 years ago
Yeah, that's the problem. They want IE6. I don't know if Tech Evangelism will be able to get them to change, but it's worth a report.  ;)

Though, don't hold your breath. I did some more searching and found bug 293585, which was a 3 year old PQI site bug, seemingly untouched by TE. Works now though, so I closed it.

Updated

10 years ago
Assignee: english-us → english-other
Component: English US → English Other
QA Contact: english-us → english-other
Summary: PQI website requires VBScript → PQI.com.tw requires VBScript

Comment 5

10 years ago
My favourite thing on that page:

"My Mac OS didn't detect the USB flash drive entirely."

And what browser, exactly, are these Mac OS-using customers supposed to use in order to view that FAQ?
404
Mozilla/5.0 (Windows NT 5.1; rv:23.0) Gecko/20100101 Firefox/23.0
Status: NEW → RESOLVED
Last Resolved: 10 years ago5 years ago
Resolution: --- → WORKSFORME
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.